.editor-content,
.ins-LINE{
  container-type: inline-size;
  container-name: editor;
}
:root{
--ins-20: clamp(10px, 5.158px + 1.316cqi, 20px);
--ins-24: clamp(16px, 12.126px + 1.053cqi, 24px);
--ins-32: clamp(18px, 11.221px + 1.842cqi, 32px);
--ins-40: clamp(20px, 10.316px + 2.632cqi, 40px);
--ins-48: clamp(20px, 6.442px + 3.684cqi, 48px);
--ins-56: clamp(20px, 2.568px + 4.737cqi, 56px);
--ins-64: clamp(32px, 16.505px + 4.211cqi, 64px);

--ins-64-s: clamp(20px, -1.305px + 5.789cqi, 64px);

--ins-fs-16: clamp(14px, 13.032px + 0.263cqi, 16px);
--ins-fs-18: clamp(14px, 12.063px + 0.526cqi, 18px);
--ins-fs-20: clamp(16px, 14.063px + 0.526cqi, 20px);
--ins-fs-24: clamp(18px, 15.095px + 0.789cqi, 24px);
}

/* visual タイトル ----------------------- */
.ins-free-title {
  background-color: #999;
  height:clamp(160px, 135.789px + 6.579vw, 210px);
  position: relative;
  margin-bottom: var(--ins-40);
  overflow: hidden;
}
.ins-free-title h2 {
  border: none !important;
  position:absolute;
  left: 0;
  top: 50%;
  translate: 0 -50%;
  font-size: clamp(28px, 26.063px + 0.526cqi, 32px) !important;
  color: #fff;
  width: 100%;
  text-align:center;
  line-height: 1.4 !important;
}
.ins-free-title img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* heading ------------------------------- */
.ins-free-heading01 {
  text-align: center;
  font-size: clamp(22px, 17.158px + 1.316vw, 32px);
}

/* block ---------------------------------- */
.ins-free-decBox{
  position: relative;
  padding: 48px var(--ins-64-s);
}
.ins-free-decBox p:last-child {
  margin-bottom: 0;
}

.ins-free-decBox--01{
  border: 1px solid var(--color-main);
  margin: var(--ins-64) auto;
}
.ins-free-decBox--01 h3 {
  position: absolute;
  border: none !important;
  padding: 0 20px !important;
  background: #fff;
  left: 50%;
  top: 0;
  translate: -50% -50%;
}
@container editor (max-width: 860px) {
  .ins-free-decBox--01 h3 {
    width:85%;
    text-align:center;
  }
}



/* step ------------------------------- */
.ins-free-wrap-step {
  margin: 64px auto;
}
  .ins-free-step{
    margin: 40px auto;
    padding: 0;
    position: relative;
  }
  .ins-free-step:nth-child(odd) {
    background-color: #EDEDEA;
    padding:clamp(40px, 28.379px + 3.158cqi, 64px) var(--ins-64-s) var(--ins-64-s);
  }
  .ins-free-step:not(:last-child){
    margin-bottom: calc(var(--ins-40) * 2);
  }
  .ins-free-step:first-child{
    padding-top: var(--ins-56);
  }
  .ins-free-step:not(:last-child):nth-child(odd):before,
  .ins-free-step:not(:first-child):nth-child(odd):after {
    content: "";
    width: calc(var(--ins-40) * 2);
    height: var(--ins-24);
    clip-path: polygon(50% 100%, 0% 0%, 100% 0%);
    position: absolute;
    left: 50%;
  }
  .ins-free-step:not(:last-child):nth-child(odd):before{
    background-color:#EDEDEA;
    bottom: 1px;
    translate: -50% 100%;
  }
  .ins-free-step:not(:first-child):nth-child(odd):after {
    background-color:#fff;
    top: -1px;
    translate: -50% 0%;
  }

  /* step > title */
  .ins-free-step__title{
    text-align: center;
    margin-bottom: var(--ins-40);
  }
  .ins-free-step__title .ins-free-step__tag{
    background-color: var(--color-main);
    display: inline-block;
    color: #fff;
    padding: 8px 20px 3px;
    margin-bottom: 0 !important;
    font-family: "Anton", sans-serif;
    font-size: 14px;
    line-height: 1.2;
  }
  .ins-free-step__title .ins-free-step__heading{
    border-bottom: 0;
    margin: 5px 0 0;
    font-weight: normal;
    line-height: 1.5;
  }

  /* step > step */
  .ins-free-step__container {
    margin: 0 auto;
  }
  .ins-free-guide .ins-free-step__container {
    display: none;
  }
    .ins-free-guide .ins-free-step__container.is-active{
    display: block;
  }
  .ins-free-step__content{
    padding: var(--ins-40);
    position: relative;
    background-color: #fff;
  }

  .ins-free-step:nth-child(even) .ins-free-step__content {
      border: 1px solid var(--color-main);
      width: calc(100% - calc(var(--ins-64-s) * 2));
      margin-inline: auto;
  }

  .ins-free-step__content:not(:last-child){
    margin-bottom: var(--ins-56);
  }
  .ins-free-step__content:not(:last-child)::before{
    content: "";
    background: url(../img/help/guide/ic-arrow-01.png) center center / cover no-repeat;
    aspect-ratio: 53/17;
    width: clamp(20px, 4.021px + 4.342cqi, 53px);
    position: absolute;
    left: 50%;
    bottom: 0;
    translate: -50% 100%;
    margin-bottom: calc(var(--ins-56) / -2.8);
  }

    .ins-free-step__content .ins-free-step__heading04{
    font-size: 18px;
  }

/* grid ------------------------------- */
.ins-free-step__grid {
  display: grid;
  gap:20px;
}
.ins-free-step__grid2 {
  grid-template-columns: repeat(2, 1fr);
}
.ins-free-step__grid3 {
  grid-template-columns: repeat(3, 1fr);
}
.ins-free-step__grid4{
  grid-template-columns: repeat(4, 1fr);
}
.ins-free-step__grid--01 { grid-area: 1 / 1 / 2 / 2; }
.ins-free-step__grid--02 { grid-area: 1 / 2 / 2 / 3; }
.ins-free-step__grid--03 { grid-area: 1 / 3 / 2 / 4; }
.ins-free-step__grid--04 { grid-area: 1 / 4 / 2 / 5; }

@container editor (max-width: 768px) {
  .ins-free-step__grid {
    display: flex;
    flex-direction: column;
    gap: var(--ins-48);
  }
}

/* flex ------------------------------- */
.ins-free-flex {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
}
.ins-free-flex--2 > div {
  width: calc(calc(100% - 24px) / 2);
}

/* parts */
.ins-free__note {
  font-size: 14px;
}

.ins-free-ul li {
  margin-block: 10px;
  margin-left: 1em;
  list-style: disc;
}

.ins-free-img-auto img {
  width: auto !important;
  max-width: 100%;
}

.ins-free-txtAlign--C {
  text-align: center;
}
.ins-free-txtAlign--C img {
  width: auto !important;
  max-width: 100%;
}

/* ===============================
    guide
================================== */

  /* tab */
  .ins-free-step__tab {
    display: flex;
    gap:5px;
    position: relative;
    margin-bottom: var(--ins-48);
  }
  .ins-free-step__tab::before{
    content: "";
    width: 100%;
    height: 2px;
    background-color: var(--color-body);
    position: absolute;
    left: 0;
    bottom: 0;
  }
  .ins-free-step__tab li {
    background-color: #fff;
    padding: clamp(5px, 1.611px + 0.921cqi, 12px) clamp(5px, -2.263px + 1.974cqi, 20px);
    cursor: pointer;
    transition: 0.3s ease-in-out;
    border: 1px solid var(--color-body);
    font-size: var(--ins-fs-18) !important;
  }
  .ins-free-step__tab li.is-active {
    background-color: var(--color-body);
    color: #fff;
    cursor: default;
  }
  .ins-free-step__tab li:not(.is-active):hover{
    background-color: #ccc;
  }

 .ins-free-step__spOnly {display: none;}
 @media (max-width: 768px) {
  .ins-free-step__spOnly {display: block;}
  }


/* border */
  .ins-free-step--border {
    border: 1px solid #ccc;
    padding: 40px 56px;
  }

/* 矢印ありステップ */
.ins-free-step__select {
  position: relative;
  text-align: center;
}
.ins-free-step__select:not(:last-child)::before{
  content: "";
  width: 8px;
  height: 30px;
  background-color: #9CCDEE;
  clip-path: polygon(100% 50%, 0% 0%, 0% 100%);
  position:absolute;
  right: 0;
  top: 50%;
  translate:100% -50%;
  margin-right: -6px;
}

@container editor (max-width: 768px) {
.ins-free-step__select:not(:last-child)::before{
  content: "";
  width: 8px;
  height: 30px;
  right: unset;
  top: unset;
  left: 50%;
  bottom: 0;
  margin-right: 0;
  rotate: 90deg;
  translate: -50% 100%;
}

}


.ins-free-step__more {
  margin: 30px auto 0;
  text-align: center;
}
.ins-free-step__more a.btn--more {
  color: var(--color-body);
  background-color: #c5c5c5;
  font-size: 16px;
  padding: 15px;
  position: relative;
  display: block;
  transition: 0.3s ease-in-out;
  max-width: 420px;
  margin-inline: auto;
  font-weight: 600;
}
.ins-free-step__more a.btn--more::before {
  content: "";
  width: 6px;
  aspect-ratio: 1/1;
  border-top: 1px solid var(--color-body);
  border-right: 1px solid var(--color-body);
  position: absolute;
  right: 10px;
  top: 50%;
  translate: 0 -50%;
  rotate: 45deg;

}
.ins-free-step__more a.btn--more:hover{
  background-color: var(--color-main);
  color: #fff;
}
.ins-free-step__more a.btn--more:hover::before{
  border-color: #fff;  
}

.ins-free-wrap-payment {
  display: flex;
  gap: var(--ins-40);
  flex-wrap: wrap;
}

.ins-free-payment {
  width: calc(calc(100% - calc(var(--ins-40)*3)) / 4);
  border: 1px solid #ccc;
  padding: var(--ins-20);
  text-align: center;
  background: #fff;
  position: relative;
}
.ins-free-payment:not(:last-child)::before {
  content: "";
  width: 8px;
  height: 30px;
  background-color: #9CCDEE;
  clip-path: polygon(100% 50%, 0% 0%, 0% 100%);
  position:absolute;
  right: 0;
  top: 50%;
  translate:100% -50%;
  margin-right: calc(var(--ins-40) / -2.5);
}

.ins-free-payment__title {
  font-weight: 600;
  font-size: var(--ins-fs-16);
  margin-bottom: 0;
}
.ins-free-payment__img {
  margin-bottom: 10px;
}
.ins-free-payment .ins-free-step__more {
  margin-top: 15px;
}

@container editor (max-width: 900px) {
  .ins-free-payment {
  width: calc(calc(100% - calc(var(--ins-40)*1)) / 2);
  }

}


.ins-free__btnBlock {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: var(--ins-40);
}
  .ins-free-btnBlock__title {
    width: 14em;
    font-size:20px;
    text-align:center;
    font-weight: normal;
  }

@container editor (max-width: 590px) {

  .ins-free__btnBlock > div {
    width: 100%;
    text-align: center;
  }
    .ins-free__btnBlock > div a {
      display: block;
    }
}

/* ===============================
    compliance
================================== */
.ins-free-confirm {
  margin: 60px auto 0;
}
  .ins-free-confirm h2 {
    text-align: center;
    border-bottom: 0 !important;
    padding: 0 !important;
    font-size: 26px !important;
    margin-bottom: 30px;
  }
  .ins-free-way {
    border: 1px solid #c5c5c5;
    text-align: center;
  }
  .ins-free-way a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    padding: 15px;
  }
  .ins-free-way a span {
    font-size: 14px !important;
  }
  .ins-free-way__mainImg {
    display: block;
    width: 80%;
    max-width: 100px;
    margin: 0 auto 10px;
  }
  .ins-free-way__subImg {
    display: block;
    width: 80%;
    max-width: 60px;
    margin: 0 auto 10px;
  }

.ins-free-sign__btn {
  text-align: center;
  margin-top: var(--ins-40);
}
.ins-free-sign__btn p {
  margin-bottom: 0;
}
.ins-free-sign__btn a {
  color:#fff !important;
  margin-bottom: 10px;
}
.ins-free-sign__btn a span {
  position: relative;
}
.ins-free-sign__btn a span::before {
  font-family: var(--ff-symbol);
  font-variation-settings: 'FILL' 1;
  color: var(--color-white);
  left: 0;
  margin-right: 5px;
  vertical-align: middle;
  font-size: 1.5em;
  line-height: 1;
  font-weight: 400;
}
.ins-free-sign__btn a span.ic-member::before {
  content: "\e7fe";
}


#link01 {
  margin-top: 100px;
}

.ins-free-point {
  margin-top: 80px;
  padding:var(--ins-48) var(--ins-64);
  border: 1px dashed var(--color-sub);
  display: flex;
  flex-wrap: wrap;
  gap: var(--ins-48);
}
  .ins-free-point__img{
    flex: 1;
    margin: 0;
  }
  .ins-free-point__cont {
    width: 50%;
  }

@container editor (max-width: 670px) {
  .ins-free-point__cont {
  width: 100%;
}
}


/* ============================================
    line
=============================================== */
.ins-free__catch {
  margin-bottom: var(--ins-64);
}
.ins-free__catch h3 {
  text-align: center;
}
.ins-free-marker {
  background: linear-gradient(transparent 70%, #FFF945 70%);
}
.ins-free__catch p {
  text-align: center;
  font-size:var(--ins-fs-20) ;
}

.ins-free-line .ins-free-heading01 span {
  font-size: clamp(28px, 22.189px + 1.579vw, 40px);
}
.ins-free-line .ins-free-heading01 span em {
  color: #06C755;
  font-style: normal;
  font-size: clamp(32px, 24.253px + 2.105vw, 48px);
}

.ins-free-line__list {
  margin: var(--ins-40) auto 0;
  display: flex;
  flex-wrap: wrap;
  border: 2px solid #06C755 ;
  padding: var(--ins-40) var(--ins-64-s);
  gap: var(--ins-20);
}
.ins-free-line__list li {
  width: calc(calc(100% - var(--ins-20)) / 2 );
  font-size:var(--ins-fs-20) !important;
  padding-left: 2em;
  position: relative;
}
.ins-free-line__list li::before{
  content: "";
  background: url(../img/line/ic-check-01.svg) center center / cover no-repeat;
  aspect-ratio: 1/1;
  width: 1.5em;
  position: absolute;
  left: 0;
  top:0;
}
.ins-free-line__list li span {
  color: #06C755;
  font-weight: 600;
}

.ins-free-line__wrap-step {
  margin-top: var(--ins-64);
}

.ins-free-line__step{
  position: relative;
  padding:0 0 var(--ins-64) clamp(60px, 30.947px + 7.895cqi, 120px);
}
.ins-free-line__step:not(:last-child)::before {
  content: "";
  position: absolute;
  width: clamp(5px, 2.579px + 0.658cqi, 10px);
  height: 100%;
  background: url(../img/help/guide/bg-line-01.png) center top / 100% auto repeat-y;
  left: clamp(22px, 15.705px + 1.711cqi, 35px);
  top:0;
}
.ins-free-line__num {
  background-color: #06C755;
  position: absolute;
  left: 0;
  top: 0;
  color: #fff;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border-radius: 50%;
  width: clamp(50px, 35.474px + 3.947cqi, 80px);
  font-weight: 600;
  line-height: 1.3;
  font-size: var(--ins-fs-16);
}
.ins-free-line__num span {
  font-size: var(--ins-fs-18);
}
.ins-free-line__cont {
  display: grid;
  grid-template-columns:1fr 38%;
  grid-template-rows: max-content 1fr;
  grid-column-gap: var(--ins-48);
  padding-top: var(--ins-20);
}

.ins-free-line__img {grid-area: 1 / 2 / 3 / 3; }
.ins-free-line__heading { grid-area: 1 / 1 / 2 / 2;  }
.ins-free-line__txt {  grid-area: 2 / 1 / 3 / 2; }

.ins-free-line__txt p {
  font-size: var(--ins-fs-18);
}

.ins-free-line__btn {
  display: flex;
  gap: var(--ins-20);
}
.ins-free-line__btn li {
  flex:1;
}
.ins-free-line__btn li a.btn {
  display: block;
  padding: var(--ins-24) 10px; 
  text-align: center;
}

@container editor (max-width: 670px) {
  .ins-free-line__cont {
    display: block;
  } 
  .ins-free-line__img {
    margin: var(--ins-40) auto;
    max-width: 560px;
  }
}
@container editor (max-width: 500px) {
.ins-free-line__list li {
  width: 100%;
}
}

/* =======================================
    wrong part
========================================== */

.ins-free-wrong__heading {
  text-align: center;
}
.ins-free-wrong__heading h3 {
  margin-bottom: 10px;
}
.ins-free-wrong__point {
  border: 1px solid var(--color-main);
  padding: var(--ins-48);
  position: relative;
  display: flex;
  align-items: center;
  gap: var(--ins-48);
  margin: var(--ins-48) auto var(--ins-64);
}
.ins-fre-wrong__text {
  flex: 1;
}
.ins-fre-wrong__img{
  width: 25%;
}

.ins-free-wrong__point h3 {
  font-weight: 600 !important;
  font-size: var(--ins-fs-24) !important;
  position: relative;
  border-bottom: none !important;
  padding:36px 0 0 !important;
  margin-bottom: var(--ins-32);
  line-height: 1.3 !important;
}
.ins-free-wrong__point h3 span {
  position: absolute;
  left: 0;
  top: 0;
  font-size: 14px !important;
  color: #fff;
  background-color: var(--color-main);
  padding: 0 15px
}
.ins-free-wrong__point p {
  margin-bottom: 0 !important;
}

.ins-free-wrong__wrap-step {
  margin-bottom: var(--ins-64);
}
.ins-free-wrong__step {
  position: relative;
  margin: var(--ins-40) auto;
}
.ins-free-wrong__step:not(:last-child) {
  padding-bottom: var(--ins-56);
}
.ins-free-wrong__step:not(:last-child)::before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  translate: -50% 0;
  width: 60px;
  height: 20px;
  background-color: #494949;
  clip-path: polygon(50% 100%, 0% 0%, 100% 0%);
}

  .ins-free-wrong__step--user {
    padding-left: 23%;
  }
  .ins-free-wrong__step--staff {
    padding-right: 23%;
  }
.ins-free-wrong__img {
  position: absolute;
  bottom: var(--ins-56);
  width: 20%;
}
.ins-free-wrong__step:last-child .ins-free-wrong__img {
  bottom: 0;
}
  .ins-free-wrong__step--user .ins-free-wrong__img{
    left: 0;
  }
  .ins-free-wrong__step--staff .ins-free-wrong__img{
    right: 0;
    translate: 0 10%;
    width: 30.6%;
  }
.ins-free-wrong__content {
  padding: var(--ins-48);
}
  .ins-free-wrong__step--user .ins-free-wrong__content{
    background-color: #CBEBF4;
  }
  .ins-free-wrong__step--staff .ins-free-wrong__content{
    background-color: #fff;
    border: 1px solid var(--color-main);
    padding-right: clamp(50px, 16.105px + 9.211cqi, 120px);
  }
  .ins-free-wrong__content h4 {
    padding: 0 !important;
    font-weight: 600!important;
    font-size: var(--ins-fs-24) !important;
    margin-bottom: var(--ins-24);
    line-height: 1.3 !important;
  }
  .ins-free-wrong__content p{
    margin-bottom: 0 !important;
    line-height: 1.8 !important;
  }
   .ins-free-wrong__content .ins-free-list--note {
    margin: 2em auto 0;

    font-weight: 600;
   }
 .ins-free-wrong__content .ins-free-list--note li {
    font-size: var(--ins-fs-16) !important;
    padding-left: 1em;
    text-indent: -1em;
 }
  
.ins-free__bnr--line a {
  display: flex;
  padding: var(--ins-64);
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: url(../img/wrong-part/bg-bnrLine-01.png) center center / cover no-repeat;
  color: #fff !important;
  transition: 0.3s ease-in-out;
}
.ins-free__bnr--line a p {
  margin-bottom: 0 !important;
  font-weight: 700;
  font-size: clamp(28px, 22.189px + 1.579cqi, 40px) !important;
  line-height: 1.2 !important;
  position: relative;
  padding-left: clamp(80px, 55.789px + 6.579cqi, 130px);
}
.ins-free__bnr--line a p span {
  font-size: clamp(20px, 14.189px + 1.579cqi, 32px) !important;
}
.ins-free__bnr--line a p::before {
  content: "";
  background: url(../img/wrong-part/ic-line-01.png) center center / cover no-repeat;
  aspect-ratio: 114/108;
  width: clamp(60px, 40.632px + 5.263cqi, 100px);
  position: absolute;
  left: 0;
  top: 50%;
  translate: 0 -50%;
}
.ins-free__bnr--line a:hover{
  opacity: 0.8;
}

@container editor (max-width: 600px) {
  .ins-free-wrong__point{
    display: block;
  }
  .ins-fre-wrong__img {
    text-align: center;
    width: 100%;
    margin-top: var(--ins-24);
  }
  .ins-fre-wrong__img img{
    width: 230px;
  }

  .ins-free-wrong__step--user {
    padding-left: 15%;
  }
  .ins-free-wrong__step--staff {
    padding-right: 10%;
  }
  
  .ins-free-wrong__step--staff .ins-free-wrong__content {
    padding-right: var(--ins-48);
  }
  .ins-free-wrong__step--staff .ins-free-wrong__img{
    translate: 0 40%;
  }
  .ins-free-wrong__step:not(:last-child)::before{
        translate: -50%  50%;
  }
}
